Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518868 - [abrt] blivet-gui-runtime: get_free_regions(): client.py:165:remote_call:AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'
Summary: [abrt] blivet-gui-runtime: get_free_regions(): client.py:165:remote_call:Attr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blivet-gui
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f01ddf51122d692f33b469dd7d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:44 UTC by Sylvain Réault
Modified: 2018-11-30 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:26:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: blivet-gui-utils.log (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: blivet.log (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: cgroup (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: cpuinfo (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: environ (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: mountinfo (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: namespaces (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: open_fds (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details
File: program.log (deleted)
2017-11-29 16:44 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2017-11-29 16:44:01 UTC
Version-Release number of selected component:
blivet-gui-runtime-2.1.7-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
crash_function: get_free_regions
exception_type: AttributeError
executable:     /usr/bin/blivet-gui
kernel:         4.13.16-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
client.py:165:remote_call:AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blivetgui/communication/server.py", line 306, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 329, in get_disk_children
    primaries = self._get_primary_partitions(blivet_device, partitions) + self._get_free_primary(blivet_device)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 415, in _get_free_primary
    free_regions = blivet.partitioning.get_free_regions([blivet_device], align=True)
  File "/usr/lib/python3.6/site-packages/blivet/partitioning.py", line 486, in get_free_regions
    for f in disk.format.parted_disk.getFreeSpaceRegions():
AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'


Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blivetgui/list_devices.py", line 173, in on_disk_selection_changed
    self.blivet_gui.update_partitions_view()
  File "/usr/lib/python3.6/site-packages/blivetgui/blivetgui.py", line 166, in update_partitions_view
    self.list_partitions.update_partitions_list(self.list_devices.selected_device)
  File "/usr/lib/python3.6/site-packages/blivetgui/list_partitions.py", line 79, in update_partitions_list
    childs = self.blivet_gui.client.remote_call("get_disk_children", selected_device)
  File "/usr/lib/python3.6/site-packages/blivetgui/communication/client.py", line 165, in remote_call
    raise type(ret.exception)(str(ret.exception) + "\n" + ret.traceback)  # pylint: disable=maybe-no-member
AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blivetgui/communication/server.py", line 306, in _call_utils_method
    ret = utils_method(*args)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 329, in get_disk_children
    primaries = self._get_primary_partitions(blivet_device, partitions) + self._get_free_primary(blivet_device)
  File "/usr/lib/python3.6/site-packages/blivetgui/blivet_utils.py", line 415, in _get_free_primary
    free_regions = blivet.partitioning.get_free_regions([blivet_device], align=True)
  File "/usr/lib/python3.6/site-packages/blivet/partitioning.py", line 486, in get_free_regions
    for f in disk.format.parted_disk.getFreeSpaceRegions():
AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'


Local variables in innermost frame:
ret: <blivetgui.communication.client.ClientProxyObject object at 0x7f51d8077160>
answer: 'Proxy ID, 725'
pickled_data: b'\x80\x03X\x04\x00\x00\x00callq\x00X\x11\x00\x00\x00get_disk_childrenq\x01]q\x02cblivetgui.communication.proxy_utils\nProxyID\nq\x03)\x81q\x04}q\x05X\x02\x00\x00\x00idq\x06M&\x02sba\x87q\x07.'
args: (<blivetgui.communication.client.ClientProxyObject object at 0x7f51d81f3240>,)
method: 'get_disk_children'
self: <blivetgui.communication.client.BlivetGUIClient object at 0x7f51d96dacc0>

Potential duplicate: bug 1465593

Comment 1 Sylvain Réault 2017-11-29 16:44:06 UTC
Created attachment 1360453 [details]
File: backtrace

Comment 2 Sylvain Réault 2017-11-29 16:44:07 UTC
Created attachment 1360454 [details]
File: blivet-gui-utils.log

Comment 3 Sylvain Réault 2017-11-29 16:44:10 UTC
Created attachment 1360455 [details]
File: blivet.log

Comment 4 Sylvain Réault 2017-11-29 16:44:11 UTC
Created attachment 1360456 [details]
File: cgroup

Comment 5 Sylvain Réault 2017-11-29 16:44:12 UTC
Created attachment 1360457 [details]
File: cpuinfo

Comment 6 Sylvain Réault 2017-11-29 16:44:14 UTC
Created attachment 1360459 [details]
File: environ

Comment 7 Sylvain Réault 2017-11-29 16:44:15 UTC
Created attachment 1360461 [details]
File: mountinfo

Comment 8 Sylvain Réault 2017-11-29 16:44:17 UTC
Created attachment 1360463 [details]
File: namespaces

Comment 9 Sylvain Réault 2017-11-29 16:44:18 UTC
Created attachment 1360465 [details]
File: open_fds

Comment 10 Sylvain Réault 2017-11-29 16:44:20 UTC
Created attachment 1360468 [details]
File: program.log

Comment 11 Jan Vlug 2018-03-16 19:03:53 UTC
Similar problem has been detected:

Removed an sd card and next reloaded the disk configuration.

reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
crash_function: get_free_regions
exception_type: AttributeError
executable:     /usr/bin/blivet-gui
kernel:         4.15.8-300.fc27.x86_64
package:        blivet-gui-runtime-2.1.7-1.fc27
reason:         client.py:165:remote_call:AttributeError: 'NoneType' object has no attribute 'getFreeSpaceRegions'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 12 Ben Cotton 2018-11-27 16:36:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2018-11-30 20:26:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.